Get the current authenticated user
curl --request GET \
--url https://platform.spritz.finance/v1/users/me \
--header 'Authorization: Bearer <token>'import requests
url = "https://platform.spritz.finance/v1/users/me"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.spritz.finance/v1/users/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "6ab3aa90aacef26176c97a2a",
"email": "user@example.com",
"firstName": "John",
"signedUpAt": "2026-09-23T10:31:44.620Z",
"timezone": "America/New_York",
"notificationPreferences": [
{
"type": "cardTransaction.approved",
"email": true,
"mobile": false
}
],
"verification": {
"status": "not_started",
"failureReason": "verify_sms",
"country": "US",
"provider": "persona",
"requirement": {
"type": "identity_verification",
"status": "not_started",
"description": "Verify your identity to unlock payment features",
"actionUrl": "https://verify.example.com/start",
"retryable": true
}
},
"capabilities": [
{
"product": "fiat_to_crypto",
"name": "ACH Bank Transfer",
"description": "Buy crypto using ACH bank transfer",
"status": "active",
"requirements": [],
"method": "ach_credit",
"nextRequirement": "identity_verification"
}
]
}{
"title": "Unauthorized",
"status": 401,
"type": "urn:problem-type:auth:unauthorized",
"detail": "Bearer token required",
"instance": "<string>",
"realm": "API",
"scope": "read:users"
}{
"title": "<string>",
"status": 404,
"resourceType": "user",
"resourceId": "<string>",
"type": "about:blank",
"detail": "<string>",
"instance": "<string>"
}{
"title": "Unauthorized",
"status": 400,
"type": "urn:problem-type:auth:unauthorized",
"detail": "<string>",
"instance": "/errors/1234567890",
"code": "transaction_limit",
"field": "amountUsd",
"retryable": true,
"retryAfter": 5,
"suggestedAction": "auto_ramp",
"clearsAt": "2023-11-07T05:31:56Z",
"availableAt": "2023-11-07T05:31:56Z",
"permanent": true
}Users
Get the current authenticated user
Returns the authenticated user’s profile information.
GET
/
v1
/
users
/
me
Get the current authenticated user
Authorizations
bearerAuthintegratorJwtbearerAuth & hmacAuth & integratorKey & timestamp
User bearer credential: either a Cognito JWT or an ak_ user API key. Backend integrators using HMAC must include the user API key alongside the three HMAC headers on user-scoped endpoints.
Response
Response for status 200
Unique identifier for the user
Example:
"6ab3aa90aacef26176c97a2a"
User's email address
Example:
"user@example.com"
User's first name
Example:
"John"
ISO 8601 timestamp of when the user was created
Example:
"2026-09-23T10:31:44.620Z"
User's timezone in IANA format
Example:
"America/New_York"
User's notification preferences by type
Show child attributes
Show child attributes
Show child attributes
Show child attributes
User's available capabilities and their requirements
Show child attributes
Show child attributes